import java.io.*;
import java.util.*;
import java.math.*;

public class e{
	static BigInteger[] p=new BigInteger[10001];
	static BigInteger C(int n, int k){
		if(k<0||k>n)return BigInteger.ZERO;
		if(n<=0)return BigInteger.ZERO;
		return p[n].divide(p[k]).divide(p[n-k]);
	}
	public static void main(String args[]){
		p[0]=BigInteger.ONE;
		for(int i=1; i<10001; i++){
			p[i]=p[i-1].multiply(BigInteger.valueOf(i));
		}
		for(int n=3; n<10001; n++){
			BigInteger res=BigInteger.ZERO;
			for(int k=0; k<10001; k++){
				res=res.add(C(n-k+1,k)).subtract(C(n-1-k,k-2));
			}
			System.out.println("\""+res+"\""+",");
		}
	}
}
